# Methods Reference

#### 3.1 - Initiate the connection

Init the connection to MBurger with your API Key.

```javascript
const instance = mburger.createClient({
    api_key: '1234567890'
});
```

#### 3.2 - Retrieve a single Section

| Specification   | Data Type | Description                                                                    |
| --------------- | --------- | ------------------------------------------------------------------------------ |
| section\_id     | Integer   | ID of the requested Section                                                    |
| original\_media | Boolean   | Indicate if you want the original media or the converted ones                  |
| use\_slug       | Boolean   | Declare if you want to use the section slug instead of the ID to retrieve data |
| locale          | String    | Country code of the required locale                                            |

**3.2.1 - Sample code**

```javascript
 // Import MBurger SDK
 const mburger = require('mburger');
 
// Init the connection
const instance = mburger.createClient({
    api_key: '1234567890'
});

// Get a specific block
instance.getSection({
    section_id: 10088,
    locale: 'it',
    original_media: false
}).then(result => console.log(result));
```

#### 3.3 - Retrieve a single Block

| Specification           | Data Type | Description                                                                                                   |
| ----------------------- | --------- | ------------------------------------------------------------------------------------------------------------- |
| block\_id               | Integer   | ID of the requested Block                                                                                     |
| force\_locale\_fallback | Boolean   | Set the parameters force\_locale\_fallback as indicated in the documentation                                  |
| locale                  | String    | Country code of the required locale                                                                           |
| original\_media         | Boolean   | Indicate if you want the original media or the converted ones                                                 |
| params                  | Object    | The parameters you want to pass to the MBurger params variable. Check our API Reference for more informations |
| order\_asc              | Boolean   | Declare if you want the data in ascendent or descendent order                                                 |

**3.3.1 - Sample code**

```javascript
 // Import MBurger SDK
 const mburger = require('mburger');
 
// Init the connection
const instance = mburger.createClient({
    api_key: '1234567890'
});

// Retrieve a specific block
instance.getBlock({
    block_id: 884,
    locale: 'it',
    original_media: false
}).then(result => console.log(result));
```

#### 3.4 - Retrieve multiple Blocks

| Specification | Data Type | Description                                                                                                |
| ------------- | --------- | ---------------------------------------------------------------------------------------------------------- |
| block\_ids    | Array     | ID of the requested Blocks                                                                                 |
| filters       | Object    | The filters you want to pass to the MBurger params variable. Check our API Reference for more informations |
| order\_asc    | Boolean   | Declare if you want the data in ascendent or descendent order                                              |

**3.4.1 - Sample code**

```javascript
// Import MBurger SDK
const mburger = require('mburger');

// Init the connection
const instance = mburger.createClient({
    api_key: '1234567890'
});

// Retrieve data from the block
instance.getBlocks({
    block_ids: [884, 886],
    locale: 'it'
}).then(result => console.log(result));
```

###


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mburger.cloud/javascript-docs-1/methods-reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
